#!/usr/bin/env sh

set -ex

docker compose build

# composer
docker compose run -it php-fpm composer install

# database
docker compose run -it php-fpm /var/www/html/artisan migrate
docker compose run -it php-fpm /var/www/html/artisan db:seed CountrySeeder

# laravel Swagger
docker compose run -it php-fpm /var/www/html/artisan l5-swagger:generate

# run containers (and build again)
if [ "$NO_EXECUTE" != "1" ]; then
  docker compose up --build
fi
